curl --request PUT \
--url https://api.orchestrasolutions.com/PaymentGatewayAccounts/{name} \
--header 'Content-Type: application/json' \
--data '
{
"paymentGatewayName": "<string>",
"credentials": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.orchestrasolutions.com/PaymentGatewayAccounts/{name}"
payload = {
"paymentGatewayName": "<string>",
"credentials": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
paymentGatewayName: '<string>',
credentials: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://api.orchestrasolutions.com/PaymentGatewayAccounts/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"creationTime": "2023-11-07T05:31:56Z",
"paymentGatewayName": "<string>",
"credentials": [
{
"key": "<string>",
"value": "<string>"
}
]
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]Add or Replace a Payment Gateway Account
A Payment Gateway Account is the set of information necessary for connecting to a specific payment gateway through our system. This method allows you to add a new stored Payment Gateway Account in the system or to replace an existing one.
related
Gateway Accounts Guide
Path Parameters
A unique name of this Payment Gateway Account
^[A-Za-z0-9]{3,64}$Body
Payment gateway account data
Input Model for designating a payment gateway account
Unique name of the Payment Gateway the account information relates to.
An array of key-value pairs containing the authentication parameters required to connect Orchestra to your payment gateway account. Each payment gateway requires a specific set of credentials (such as API keys, merchant IDs, secret keys, etc.) to establish the connection.
Structure: Each credential object contains a Key (string) for the parameter name and a Value (string) for the authentication value.
** Determining Required Credentials:** The specific credentials required vary by payment gateway.To retrieve the required credential parameters for your target gateway, call GET /paymentGateway to get all available payment gateways and their credential specifications. Each gateway will list which credential keys are required (e.g., "PrivateKey", "MerchantID", "ApiSecret").
Example:
"Credentials": [ { "Key": "PrivateKey", "Value": "VBtt666M/G098098vgdewvk0Mc-GH" }, { "Key": "MerchantID", "Value": "12345678" } ]
**Security Note: **Credential values are sensitive authentication data. Ensure all API calls are made over HTTPS and values are stored securely.
Show child attributes
Show child attributes
Response
OK
Output Model for designating a payment gateway account
Name of account
Date and time the credentials were stored
Unique name of the Payment Gateway the account information relates to.
An array of key-value pairs containing the authentication parameters required to connect Orchestra to your payment gateway account. Each payment gateway requires a specific set of credentials (such as API keys, merchant IDs, secret keys, etc.) to establish the connection.
Structure: Each credential object contains a Key (string) for the parameter name and a Value (string) for the authentication value.
** Determining Required Credentials:** The specific credentials required vary by payment gateway.To retrieve the required credential parameters for your target gateway, call GET /paymentGateway to get all available payment gateways and their credential specifications. Each gateway will list which credential keys are required (e.g., "PrivateKey", "MerchantID", "ApiSecret").
Example:
"Credentials": [ { "Key": "PrivateKey", "Value": "VBtt666M/G098098vgdewvk0Mc-GH" }, { "Key": "MerchantID", "Value": "12345678" } ]
**Security Note: **Credential values are sensitive authentication data. Ensure all API calls are made over HTTPS and values are stored securely.
Show child attributes
Show child attributes